import { request } from '@umijs/max';

export async function getResumeList(params?: API.AppUser.ListParams) {
  return request<API.AppUser.ResumePageResult>(`/api/cms/appUser/getResumeList`, {
    method: 'GET',
    params: params,
    isEncrypt: true,
  });
}

export async function getResumeDetail(userId: string) {
  return request<API.AppUser.ResumeDetailResult>(`/api/cms/appUser/getResumeDetail/${userId}`, {
    method: 'GET',
    isEncrypt: true,
  });
}
